Package icyllis.arc3d.compiler.tree

# Class AnonymousField

java.lang.Object
icyllis.arc3d.compiler.tree.Node
icyllis.arc3d.compiler.tree.Symbol
icyllis.arc3d.compiler.tree.AnonymousField

public final class AnonymousField extends Symbol
A symbol which should be interpreted as a field access. Fields are added to the SymbolTable whenever a bare reference to an identifier should refer to a struct field; in GLSL, this is the result of declaring anonymous interface blocks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.compiler.tree.Node

  `Node.ElementKind, Node.ExpressionKind, Node.StatementKind, Node.SymbolKind`

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.compiler.tree.Node

  `mPosition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousField(int position, Variable container, int fieldIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Variable`
  `getContainer()`
  `int`
  `getFieldIndex()`
  `Node.SymbolKind`
  `getKind()`
  `Type`
  `getType()`
  `String`
  `toString()`

  ### Methods inherited from class icyllis.arc3d.compiler.tree.Symbol

  `accept, getName, setName`

  ### Methods inherited from class icyllis.arc3d.compiler.tree.Node

  `getEndOffset, getStartOffset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AnonymousField

    public AnonymousField(int position, Variable container, int fieldIndex)

- ## Method Details

  - ### getKind

    @Nonnull public Node.SymbolKind getKind()
    Specified by:
      `getKind` in class `Symbol`
    See Also:
      - `Node.SymbolKind`

  - ### getType

    @Nonnull public Type getType()
    Specified by:
      `getType` in class `Symbol`

  - ### getFieldIndex

    public int getFieldIndex()

  - ### getContainer

    public Variable getContainer()

  - ### toString

    @Nonnull public String toString()
    Specified by:
      `toString` in class `Node`
    Returns:
      a string representation of this AST node